TESTASCIIDOC(1)

NAME
testasciidoc - Run AsciiDoc conformance tests specified in configuration file.

SYNOPSIS

testasciidoc [OPTIONS] COMMAND

DESCRIPTION

The testasciidoc command runs AsciiDoc conformance tests specified in configuration file.

COMMANDS

The testasciidoc toolset has three different commands:

    testasciidoc list
    testasciidoc run [-n, --number NUMBER] [-b, --backend BACKEND] [OPTIONS]
    testasciidoc update [-n, --number NUMBER] [-b, --backend BACKEND] [OPTIONS]

The commands perform as follows:

list
    List available tests cases.

run
    Execute tests (regenerate temporary test cases and compare them to the reference files).

update
    Regenerate and update test data reference files. Needs to be launched at least once to have the reference files to compare to during the tests.

Where:

NUMBER
    Is the index number of the test case from the testasciidoc list command.

BACKEND
    Is the asciidoc backend to use.

OPTIONS
    Are the options listed below.

OPTIONS

-f, --conf-file=CONF_FILE
    Use configuration file CONF_FILE for more information about the configuration file format refer to the tests documentation.

--force
    Update all test data overwriting existing data

EXAMPLES

testasciidoc list
    Lists all the test actions available for running or updating.

testasciidoc run
    Runs all the testing actions available.

testasciidoc run --number 1 --backend html5 --conf-file=/etc/asciidoc/testasciidoc.conf
    Run the test case 1 for the html5 asciidoc backend using the configuration file /etc/asciidoc/testasciidoc.conf.

testasciidoc update --number 1 --backend html5
    Generate or update the reference files used for the tests cases 1st action of the html5 asciidoc backend.

EXIT STATUS

0
    Success

1
    Failure (syntax or usage error; configuration error; document processing failure; unexpected error).

BUGS

See the AsciiDoc distribution BUGS file.

AUTHOR

AsciiDoc was originally written by Stuart Rackham. Many people have contributed to it.

RESOURCES

GitHub: https://github.com/asciidoc/asciidoc-py3

Main web site: http://asciidoc.org/

SEE ALSO

asciidoc(1), a2x(1)